% Standard invitation size is 5"x7" which uses the A7 envelope (5.25"x7.25"). This template is set up for that size. If you need a different size, change these variables. Note: only A7 has been tested.
\newcommand\envelopeheight{5.25in}
\newcommand\envelopewidth{7.25in}

% The letter class provides functionality for working with letters and envelopes.
\documentclass{letter}
% The envlab package provides customizable features for typesetting envelopes. By default, it will print the to-address in a font that can be easily read by an OCR machine and prints a barcode that the USPS' automated processing equipment can read. There are postage discounts available for >=500 pieces of first-class mail with this barcode.
% USPS information: https://pe.usps.com/businessmail101?ViewName=AutoLetters
% envlab package readme: https://ctan.math.washington.edu/tex-archive/macros/latex/contrib/envlab/envlab.pdf
\usepackage{envlab}
% Sets up the page to be 7.25x5.25 inches (A7 envelope, standard for invitations and Christmas cards).
\usepackage[paperheight=\envelopewidth,paperwidth=\envelopeheight]{geometry}

% Defines a variable called "\fromaddress" that is used in the document to save space and not force you to hard code your address every time. However, if you wish to have different return addresses, simply change the first argument in the \mlabel calls within the document.
\renewcommand*{\fromaddress}{Your Name\\1711 W Hunt Hwy\\San Tan Valley, AZ 85143}

% Define envelope size.
% Note: we set the page geometry above which changes the size of the paper. This option tells the envlab package how big your envelope is. Both are required and they should be the same values.
\SetEnvelope{\envelopewidth}{\envelopeheight}

% So we can forgo writing letters and just print the envelopes. You can also use the envlab package to write letters, but this example has been setup just for printing envelopes.
\makelabels

\begin{document}
% Tells the processor that we don't want any letters in the PDF, just envelopes.
\startlabels
% Create as many or as few of these \mlabel calls as you need. Usage:
% - One \mlabel entry per line, alphabetically (for readability and maintainability)
% - In LaTeX, "\\" means new line. Use that as the separator for each part of the address. You don't need any whitespace around it (it's ignored by the processor anyway).
% - \mlabel requires two arguments (in brackets):
%   - the first is your address (which you can simplify with "\fromaddress" which we defined above)
%   - the second is the address you wish to send to
\mlabel{\fromaddress}{Alice Smith\\4810 Maple Ave\\Dallas, TX 75219}
\mlabel{\fromaddress}{Bob Cunningham\\93 Salem St\\Boston, MA 02113}
\end{document}
